
This document describes the changes in each version of ck-macros.

This library follows "[semantic versioning](http://semver.org)".
Until version 1.0.0 is released, the API is not guaranteed to be "stable".
That means the maintainer reserves the right to change the API if needed,
possibly in ways that break backward compatibility with previous versions.
**Large backward-incompatible changes are unlikely**,
but there may be small tweaks and fixes to the API if problems are discovered.

After version 1.0.0 is released, the API is guaranteed to remain stable (no backward-incompatible changes)
until the next new major version (e.g. going from version 1.x to 2.0.0, or 2.x to 3.0.0).



# 0.1.0 (2016-02-06)

Initial release.

Includes version 1.1 (April 2011) of the core `ck` macro.

Includes the following CK-macros:

```
c-quote        c-eval         c-call         c-apply        c-identity

c-if           c-if*          c-not
c-or           c-or*          c-and          c-and*
c-null?        c-pair?        c-not-pair?    c-vector?      c-boolean?
c-sym-eq?      c-sym-equal?

c-cons         c-list         c-car          c-cdr
c-first        c-second       c-third        c-fourth       c-fifth
c-sixth        c-seventh      c-eighth       c-ninth        c-tenth
c-last         c-last-pair
c-drop1        c-drop2        c-drop3        c-drop4        c-drop5
c-take1        c-take2        c-take3        c-take4        c-take5
c-reverse      c-suffix       c-append-map   c-append
c-map          c-fold         c-filter       c-remove
c-find         c-find-tail
c-member
c-any          c-every
c-assoc        c-alist-delete

c-vector            c-list->vector      c-vector->list
c-vector-reverse    c-vector-suffix     c-vector-append     c-vector-map

c-u=           c-u<           c-u<=          c-u>           c-u>=
c-uzero?       c-ueven?       c-uodd?
c-u+           c-u*           c-u-           c-u/
c-ufactorial
c-udrop        c-utake
```
